org.kie.api.management

## Interface KieSessionMonitoringMBean

-     public interface KieSessionMonitoringMBean

  An MBean interface for `KieSession` monitoring

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageFiringTime()`
    `String` | `getKieBaseId()`
    `int` | `getKieSessionId()`
    `Date` | `getLastReset()`
    `ObjectName` | `getName()` Returns this MBean name
    `Map<String,String>` | `getStatsByProcess()`
    `Map<Long,String>` | `getStatsByProcessInstance()`
    `Map<String,String>` | `getStatsByRule()`
    `String` | `getStatsForProcess(String processId)`
    `String` | `getStatsForProcessInstance(long processInstanceId)`
    `String` | `getStatsForRule(String ruleName)` Returns a formatted String with statistics for a single rule in this session, like number of matches created, cancelled and fired as well as firing time.
    `long` | `getTotalFactCount()`
    `long` | `getTotalFiringTime()`
    `long` | `getTotalMatchesCancelled()`
    `long` | `getTotalMatchesCreated()`
    `long` | `getTotalMatchesFired()`
    `long` | `getTotalProcessInstancesCompleted()`
    `long` | `getTotalProcessInstancesStarted()`
    `void` | `reset()` Resets all stats

- - ### Method Detail

    - #### reset

          void reset()

      Resets all stats

    - #### getName

          ObjectName getName()

      Returns this MBean name

    - #### getKieBaseId

          String getKieBaseId()

      Returns:
        the associated Kie Base ID

    - #### getKieSessionId

          int getKieSessionId()

      Returns:
        the associated Kie Session ID

    - #### getTotalFactCount

          long getTotalFactCount()

      Returns:
        the total fact count current loaded into this session

    - #### getTotalMatchesFired

          long getTotalMatchesFired()

      Returns:
        the total number of matches fired in this session since last reset.

    - #### getTotalMatchesCancelled

          long getTotalMatchesCancelled()

      Returns:
        the total number of matches cancelled in this session since last reset.

    - #### getTotalMatchesCreated

          long getTotalMatchesCreated()

      Returns:
        the total number of matches created in this session since last reset.

    - #### getTotalFiringTime

          long getTotalFiringTime()

      Returns:
        the total milliseconds spent firing rules in this session since last reset.

    - #### getAverageFiringTime

          double getAverageFiringTime()

      Returns:
        the average firing time in milliseconds for rules in this session since last reset.

    - #### getStatsForRule

          String getStatsForRule(String ruleName)

      Returns a formatted String with statistics for a single rule in this session, like number of matches created, cancelled and fired as well as firing time.
      Parameters:
        `ruleName` - the name of the rule for which statistics are requested.
      Returns:
        formatted String with statistics

    - #### getLastReset

          Date getLastReset()

      Returns:
        the timestamp of the last stats reset

    - #### getStatsByRule

          Map<String,String> getStatsByRule()

    - #### getTotalProcessInstancesStarted

          long getTotalProcessInstancesStarted()

    - #### getTotalProcessInstancesCompleted

          long getTotalProcessInstancesCompleted()

    - #### getStatsForProcess

          String getStatsForProcess(String processId)

    - #### getStatsByProcess

          Map<String,String> getStatsByProcess()

    - #### getStatsForProcessInstance

          String getStatsForProcessInstance(long processInstanceId)

    - #### getStatsByProcessInstance

          Map<Long,String> getStatsByProcessInstance()

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.